.section	".rodata"
.align	8
.section	".text"
sum_7:
	cmp	%i2, 0
	bg	ble_else_20
	nop
	set	0, %i2
	retl
	nop
ble_else_20:
	st	%i2, [%i0 + 0]
	sub	%i2, 1, %i2
	st	%o7, [%i0 + 4]
	call	sum_7
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	ld	[%i0 + 0], %i3
	add	%i2, %i3, %i2
	retl
	nop
.global	min_caml_start
min_caml_start:
	save	%sp, -112, %sp
	set	10000, %i2
	st	%o7, [%i0 + 4]
	call	sum_7
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	st	%o7, [%i0 + 4]
	call	min_caml_print_int
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	ret
	restore
